#!/bin/sh
### BEGIN INIT INFO
# Provides:          init for amplifier
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Export gpios and create spidev files 
# Description:       Setup for the amplifier program
### END INIT INFO


DAEMON=/home/root/amp/build_arm/launcher

# L2100+1
echo 9 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio9/direction

# L2100+2
echo 87 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio87/direction

# LMono
echo 81 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio81/direction

# R2100+1
echo 77 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio77/direction

# R2100+2
echo 78 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio78/direction

# RMono
echo 76 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio76/direction

#Jumper 1
echo 13 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio13/direction

#DIAG 1
echo 30 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio30/direction

#DIAG 2
echo 2 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio2/direction
#DIAG 3
echo 3 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio3/direction
#DIAG 4
echo 15 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio15/direction

#RELAY_A
echo 65 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio65/direction

#RELAY_B
echo 27 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio27/direction

#RELAY_C
echo 46 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio46/direction


#RELAY_D
echo 47 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio47/direction

#RELAY_E
echo 26 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio26/direction

#RELAY_F
echo 23 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio23/direction

#RELAY_G
echo 44 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio44/direction

#RELAY_H
echo 45 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio45/direction

#LEFT_MUTE
echo 4 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio4/direction
echo 1 > /sys/class/gpio/gpio4/value

#RIGHT_MUTE
echo 12 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio12/direction
echo 1 > /sys/class/gpio/gpio12/value

#PWM
echo 0 > /sys/class/pwm/pwmchip0/export
echo 1 > /sys/class/pwm/pwmchip0/export

echo 1000 > /sys/class/pwm/pwmchip0/pwm0/period
echo 1000 > /sys/class/pwm/pwmchip0/pwm1/period

echo 1000 > /sys/class/pwm/pwmchip0/pwm1/duty_cycle
echo 1000 > /sys/class/pwm/pwmchip0/pwm0/duty_cycle

echo 1 > /sys/class/pwm/pwmchip0/pwm0/enable
echo 1 > /sys/class/pwm/pwmchip0/pwm1/enable


mknod /dev/input/event1 c 13 65 

sync.

mkdir /tmp/amp-logs

test -x $DAEMON || exit 0

LD_LIBRARY_PATH=/home/root/amp/build_arm start-stop-daemon --start --exec $DAEMON &> /dev/null

exit(0)


