import platform

from threading import Lock
import libamplifier_lib as amp
#import amp
import os

class GpioOutput:

    def __init__(self):
        self.machine = platform.machine()
        self.gpio_lock = Lock()
        print self.machine
        self.output_gpios  = {
                "LMute": {"gpio_pin": 4, "state": False},
                "RMute": {"gpio_pin": 12, "state": False}
            }


    def relays_off(self):
        relays = [
                amp.gpio_map.RELAY_A,
                amp.gpio_map.RELAY_B,
                amp.gpio_map.RELAY_C,
                amp.gpio_map.RELAY_D,
                amp.gpio_map.RELAY_E,
                amp.gpio_map.RELAY_F,
                amp.gpio_map.RELAY_G,
                amp.gpio_map.RELAY_H
                ]
        for relay in relays:
            self.set(relay, 0)

    def set(self, pin_number, state):
        if 'arm' in self.machine:
            with self.gpio_lock:
                fname = os.path.join("/sys","class","gpio","gpio%d"%pin_number,"value")
                with open(fname, 'w') as fp:
                    fp.write(str(int(state)))
        else:
            print "PC GPio changed", pin_number, ": ", str(int(state))

    def all_mute(self, state):
        self.left_mute(state)
        self.right_mute(state)

    def left_mute(self, state):
        self.set(amp.gpio_map.LEFT_MUTE, state)

    def right_mute(self, state):
        self.set(amp.gpio_map.RIGHT_MUTE, state)



if __name__ == '__main__':
    output = GpioOutput()
